### Method

# Gtk Assistantupdate_buttons_state

deprecated: 4.10

#### Declaration [src]

    void
    gtk_assistant_update_buttons_state (
      GtkAssistant* assistant
    )

#### Description [src]

Forces `assistant` to recompute the buttons state.

GTK automatically takes care of this in most situations, e.g. when the user goes to a different page, or when the visibility or completeness of a page changes.

One situation where it can be necessary to call this function is when changing a value on the current page affects the future page flow of the assistant.

Deprecated since: 4.10

This widget will be removed in GTK 5